Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
iseq_inline_cache_entry Struct Reference

`#include <vm_core.h>`

## Data Fields
rb_serial_t | ic_serial
union {
size_t index
VALUE value
} | ic_value

## Detailed Description

Definition at line 133 of file vm_core.h.

## Field Documentation

rb_serial_t iseq_inline_cache_entry::ic_serial

Definition at line 134 of file vm_core.h.

Referenced by vm_getivar(), and vm_setivar().

union { ... } iseq_inline_cache_entry::ic_value

Referenced by vm_getivar(), and vm_setivar().

size_t iseq_inline_cache_entry::index

Definition at line 136 of file vm_core.h.

Referenced by vm_getivar(), and vm_setivar().

VALUE iseq_inline_cache_entry::value

Definition at line 137 of file vm_core.h.

The documentation for this struct was generated from the following file:

- vm_core.h